Repository 32bit  Forum
Repository 64bit  Wiki

miredo slackbuild

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

miredo slackbuild

Messaggioda paperboy » dom feb 21, 2010 21:53

miredo è la versione di linux di teredo un tunnel broking ipv6 di default installato in tutti i sistemi vista seven e xp sp3

con tale pacchetto è possibile visitare tutti i siti web ipv6
essere raggiungibili da tutti quelli che possono visitare siti ipv6 (anche dentro fastweb si può essere raggiunti se si ha questo miredo installato)
vi lascio lo slackbuild per slackware64 13 basta cambiare l'arch per farlo compatibile con la 32bit
Codice: Seleziona tutto
#! /bin/sh
# Copyright 2009 Mario Giustiniani <mgiustiniani@paperboy.netsons.org>
# Thanks to:
# *  Eric Hameleers <alien@slackware.com> for slackbuild template
# All rights reserved.
#
#   Permission to use, copy, modify, and distribute this software for
#   any purpose with or without fee is hereby granted, provided that
#   the above copyright notice and this permission notice appear in all
#   copies.
#
#   THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
#   WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
#   MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
#   IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
#   CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
#   SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
#   LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
#   USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
#   ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#   OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
#   OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
#   SUCH DAMAGE.
# -----------------------------------------------------------------------------
#
# Slackware SlackBuild script
# ===========================
# By:         Mario Giustiniani
# For:        miredo
# Descr:      Tunnel Broking IPv6
# URL:        http://www.remlab.net/miredo/
# Needs:
# Changelog:
# 1.2.2:    30/Aug/2009 by Mario Giustiniani
#                  * Initial build.
#
# Run 'sh miredo.SlackBuild --cleanup' to build a Slackware package.
# The package (.tgz) and .txt file as well as build logs are created in /tmp .
# Install it using 'installpkg'.
#
# -----------------------------------------------------------------------------

# Set initial variables:

PRGNAM=miredo
VERSION=${VERSION:-1.2.2}
ARCH=${ARCH:-x86_64}
BUILD=${BUILD:-1}
# The TAG is a unique identifier for all your Slackware packages.
# Use your initials as the value for TAG for instance.
TAG=${TAG:-_paper}
NUMJOBS=${NUMJOBS:j7}

# This covers most filenames you'd want as documentation. Change if needed.
DOCS="ABOUT-NLS AUTHORS ChangeLog NEWS COPYING README THANKS TODO"

# Where do we look for sources?
SRCDIR=$(cd $(dirname $0); pwd)

# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}

# Input URL: http://downloads.sourceforge.net/project/amule-adunanza/aMule-AdunanzA/snapshot/amule-adunanza-3.14b3-2.2.2.tar.bz2?use_mirror=garr
SOURCE="$SRCDIR/${PRGNAM}-${VERSION}.tar.gz"
SRCURL="http://www.remlab.net/files/${PRGNAM}/${PRGNAM}-${VERSION}.tar.bz2"

##
## --- with a little luck, you won't have to edit below this point --- ##
##

# Exit the script on errors:
set -e
trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
# Catch unitialized variables:
set -u
P1=${1:-1}

if [ "$ARCH" = "i486" ]; then
      SLKCFLAGS="-O2 -march=i486   -mtune=i686"
      LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
      SLKCFLAGS="-O3 -march=i686 -pipe -fomit-frame-pointer"
      LIBDIRSUFFIX=""
elif [ "$ARCH" = "athlon64" ]; then
      SLKCFLAGS="-O2 -march=athlon64 -pipe"
elif [ "$ARCH" = "athlonxp" ]; then
      SLKCFLAGS="-O3 -march=athlon-xp -pipe -fomit-frame-pointer"
      LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
      SLKCFLAGS="-O2"
      LIBDIRSUFFIX="64"
elif [ "$ARCH" = "s390" ]; then
      SLKCFLAGS="-O2"
      LIBDIRSUFFIX=""
fi
SLKLDFLAGS="-L/lib$LIBDIRSUFFIX -L/usr/lib$LIBDIRSUFFIX"

# Create working directories:
mkdir -p $OUTPUT          # place for the package to be saved
mkdir -p $TMP/tmp-$PRGNAM # location to build the source
mkdir -p $PKG             # place for the package to be built
rm -rf $PKG/*             # always erase old package's contents
rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
rm -rf $OUTPUT/{configure,make,install,error,makepkg}-$PRGNAM.log
                          # remove old log files

# Source file availability:
if ! [ -f ${SOURCE} ]; then
  if ! [ "x${SRCURL}" == "x" ]; then
    # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
    [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
    echo "Source '$(basename ${SOURCE})' not available yet..."
    echo "Will download file to $(dirname $SOURCE)"
    wget -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
    if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
      echo "Downloading '$(basename ${SOURCE})' failed... aborting the build."
      mv -f "${SOURCE}" "${SOURCE}".FAIL
      exit 1
    fi
  else
    echo "File '$(basename ${SOURCE})' not available... aborting the build."
    exit 1
  fi
fi

if [ "$P1" == "--download" ]; then
  echo "Download complete."
  exit 0
fi

# --- PACKAGE BUILDING ---

echo "++"
echo "|| $PRGNAM-$VERSION"
echo "++"

cd $TMP/tmp-$PRGNAM
echo "Extracting the source archive(s) for $PRGNAM..."
if $(file ${SOURCE} | grep -q ": bzip2"); then
  tar -xjvf ${SOURCE}
elif $(file ${SOURCE} | grep -q ": gzip"); then
  tar -xzvf ${SOURCE}
elif $(file ${SOURCE} | grep -qi ": zip"); then
  unzip ${SOURCE}
elif $(file ${SOURCE} | grep -qi ": 7-zip"); then
  7za -x ${SOURCE}
fi

cd ${PRGNAM}-${VERSION}
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
LDFLAGS="$SLKLDFLAGS" \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure  --prefix=/usr \
--without-Judy \
--mandir=/usr/man \
-localstatedir=/var \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--sysconfdir=/etc \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--build=$ARCH-slackware-linux 2>&1 | tee $OUTPUT/configure-${PRGNAM}.log

make -$NUMJOBS 2>&1 | tee $OUTPUT/make-${PRGNAM}.log

make DESTDIR=$PKG install 2>&1 | tee $OUTPUT/install-${PRGNAM}.log

# Add documentation:
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
cp -a $SRCDIR/$(basename $0) $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
cp -a $SRCDIR/slack-desc  $PKG/usr/doc/$PRGNAM-$VERSION
chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
find $PKG/usr/doc -type f -exec chmod 644 {} \;

# Strip binaries:
cd $PKG
if [ $(which requiredbuilder 2> /dev/null ) ]; then
  requiredbuilder -v -y -s $SRCDIR $PKG
fi
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "current ar archive" | cut -f 1 -d : | xargs strip -g 2> /dev/null || true
cd -

# Compress the man page(s):
if [ -d $PKG/usr/man ]; then
  find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
  for i in $(find $PKG/usr/man -type l -name "*.?") ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
fi


# Add a package description:
mkdir -p $PKG/install
cat $SRCDIR/slack-desc > $PKG/install/slack-desc
if [ -f $SRCDIR/doinst.sh ]; then
  cat $SRCDIR/doinst.sh >> $PKG/install/doinst.sh
fi
if [ -f $SRCDIR/slack-required ]; then
  cat $SRCDIR/slack-required > $PKG/install/slack-required
fi

# Build the package:
cd $PKG
makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txz 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
cd $OUTPUT
md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txz.md5
cd -
cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txt
if [ -f $PKG/install/slack-required ]; then
  cat $PKG/install/slack-required > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.dep
fi

# Clean up the extra stuff:
if [ "$P1" = "--cleanup" ]; then
  rm -rf $TMP/tmp-$PRGNAM
  rm -rf $PKG
fi



e questo è lo slack-desc
Codice: Seleziona tutto
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

              |-----handy-ruler-----------------------------------------------|
miredo: miredo (Tunnel Broking IPv6)
miredo:
miredo: Miredo is an open-source Teredo IPv6 tunneling software, for Linux and
miredo: the BSD operating systems. It includes functional implementations of
miredo: all components of the Teredo specification (client, relay and server).
miredo: It is meant to provide IPv6 connectivity even from behind NAT devices.
miredo: For more informations, please refer to the introduction.
miredo:
miredo: Home: http://www.remlab.net/miredo/
paperboy
Linux 1.0
Linux 1.0
 
Messaggi: 60
Iscritto il: gio set 07, 2006 5:31

Torna a Packages

Chi c’è in linea

Visitano il forum: Nessuno e 2 ospiti

cron